Response to a network request.
Since: 5.0.0(12)
Related module: RemoteCommunication
Header file: rcp.h
| Name | Description |
|---|---|
| const Rcp_Request * request | Request that triggers the creation of a response. |
| char * effectiveUrl | Valid URL used last time. |
| Rcp_StatusCode statusCode | Response status code. |
| Rcp_Headers * headers | Response header. |
| Rcp_Buffer body | Response body. |
| Rcp_DebugInfo * debugInfo | Debugging information about request/response processing. |
| Rcp_TimeInfo * timeInfo | Response time information. |
| Rcp_ResponseCookies * cookies | Response cookies. |
| const Rcp_ResponseCallbackObject * responseCallback | Response callback. |
| void(* destroyResponse )(struct Rcp_Response *response) | Method used to destroy a response. |
| void * responsePrivate | Extended fields. |
Rcp_DebugInfo* Rcp_Response::debugInfo
Description
Debugging information about request/response processing.
The collected events depend on Rcp_TracingConfiguration.
void(* Rcp_Response::destroyResponse) (struct Rcp_Response *response)
Description
Method used to destroy a response.
Since: 5.0.0(12)
Parameters:
| Name | Description |
|---|---|
| response | Response to be destroyed, which is a pointer to Rcp_Response. |
char* Rcp_Response::effectiveUrl
Description
Valid URL used last time.
If redirection is performed or Rcp_SessionConfiguration.baseUrl is set, the valid URL may be different from Rcp_Request.url.
const Rcp_Request* Rcp_Response::request
Description
Request that triggers the creation of a response.
const Rcp_ResponseCallbackObject* Rcp_Response::responseCallback
Description
Response callback.
Rcp_TimeInfo* Rcp_Response::timeInfo
Description
Response time information.
Whether to collect the information depends on the configuration in the Rcp_TracingConfiguration.collectTimeInfo file.